Skip to navigation

Activate/Reactivate/Deactivate Payer IDs

View as Markdown
This endpoint can activate a payer ID using the payer ID maintenance services.

Authentication

AuthorizationBearer

All CitiConnect APIs use the oAuth2 authentication scheme, which requires a bearer token to authenticate your API call. The Token URL includes the version of authentication used by this API. See the Citi Authentication API reference for information on requesting a token.

Headers

AuthorizationstringRequired
The OAuth token prefixed with "Bearer" and space in between.

Query parameters

payerid-numberstringOptional0-35 characters
Unique identification number assigned to payers and beneficiaries for incoming payments.
actionenumRequired

Identification of request action. Allowed values are:
Activation
Deactivation
Update

Allowed values:
client_idstringRequired

This is your unique identifier shared during your CitiConnect API onboarding. This is the same client_id used for OAuth token generation.

Request

Describes the payer ID activation, reactivation, deactivation, and update of merchant and beneficiary details.
country_codestringRequiredformat: "^[A-Z]{2}$"

The ISO country code specifying the country where the account is held. For example, if we receive a request for Germany then the county code is DE. For France, it is FR. The list of allowed country codes are:
DE - Germany
FR - France
GB - Great Britain
IE - Ireland
NL - Netherlands
US - United States
CA - Canada
HK - Hong Kong
SG - Singapore
AU - Australia

party_type_detailsenumOptional

Account party type details. Allowed account part type values are:

S - sole trader, which is an enterprise owned or run by a single person.
C - a company that is owned by an organization or business entity

Allowed values:
assignee_idstringOptional1-35 characters
The assignee ID expected from the client for upfront sanction screening and activation of Payer ID number,
create_assignee_idenumOptional

Feature to create assignee ID is given to clients. Citi is required create the assignee ID and send the assignee ID in response push notifications. Allowed values are:
Y - YES
N - NO

Allowed values:
merchantobjectOptional
beneficiarylist of objectsOptional

Response

Accepted
status_codestring<=20 characters

Status of the request sent as an synchronous response to the client. Status code will have value as PIPND.

status_descriptionstring<=500 characters

The incoming request acknowledgement message, an example is, Payer ID Maintenance request is in-progress.

request_idstring<=32 characters

Auto-generated unique identification assigned for the incoming request.

Errors

400
Bad Request Error
401
Unauthorized Error
405
Method Not Allowed Error
415
Unsupported Media Type Error
500
Internal Server Error